## videomedian

videomedian

## Properties

GstVideoMedianSize | filtersize | Read / Write
gboolean | lum-only | Read / Write

## Types and Values

struct | GstVideoMedian
enum | GstVideoMedianSize

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstVideoMedian

## Description

## Synopsis

### Element Information

plugin | videofilter
author | Wim Taymans <wim.taymans@gmail.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ I420, YV12 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ I420, YV12 }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstVideoMedian

    struct GstVideoMedian;

### enum GstVideoMedianSize

#### Members

GST_VIDEO_MEDIAN_SIZE_5 |  |
GST_VIDEO_MEDIAN_SIZE_9 |  |

## Property Details

### The `“filtersize”` property

      “filtersize”               GstVideoMedianSize

The size of the filter.

Owner: GstVideoMedian

Flags: Read / Write

Default value: Median of 5 neighbour pixels

### The `“lum-only”` property

      “lum-only”                 gboolean

Only apply filter on luminance.

Owner: GstVideoMedian

Flags: Read / Write

Default value: TRUE